Class TemplateBasedOqlQueryExecutor
java.lang.Object
org.springframework.data.gemfire.repository.query.support.TemplateBasedOqlQueryExecutor
- All Implemented Interfaces:
OqlQueryExecutor
- Since:
- 2.4.0
- Author:
- John Blum
- See Also:
-
Field Summary
Fields inherited from interface org.springframework.data.gemfire.repository.query.support.OqlQueryExecutor
NON_EXECUTABLE_QUERY_MESSAGE -
Constructor Summary
ConstructorsConstructorDescriptionTemplateBasedOqlQueryExecutor(GemfireTemplate template) Constructs a new instance ofTemplateBasedOqlQueryExecutorinitialized with the given, requiredGemfireTemplateused to execute Apache GeodeOQL queries. -
Method Summary
Modifier and TypeMethodDescriptionexecute(QueryMethod queryMethod, String query, Object... arguments) Executes the givenOQL query.protected GemfireTemplateGets the configuredGemfireTemplateused to execute Apache GeodeOQL queries.Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface org.springframework.data.gemfire.repository.query.support.OqlQueryExecutor
newUnsupportedQueryExecutionException, thenExecuteWith
-
Constructor Details
-
TemplateBasedOqlQueryExecutor
Constructs a new instance ofTemplateBasedOqlQueryExecutorinitialized with the given, requiredGemfireTemplateused to execute Apache GeodeOQL queries.- Parameters:
template-GemfireTemplateused to execute Apache GeodeOQL queries; must not be null.- Throws:
IllegalArgumentException- ifGemfireTemplateis null.- See Also:
-
-
Method Details
-
getTemplate
Gets the configuredGemfireTemplateused to execute Apache GeodeOQL queries.- Returns:
- the configured
GemfireTemplateused to execute Apache GeodeOQL queries. - See Also:
-
execute
public SelectResults execute(QueryMethod queryMethod, @NonNull String query, @NonNull Object... arguments) Description copied from interface:OqlQueryExecutorExecutes the givenOQL query.- Specified by:
executein interfaceOqlQueryExecutor- Parameters:
queryMethod-QueryMethodmodeling the OQl query.query-Stringcontaining the Apache Geode OQL query.arguments- array ofargumentsused for the bind in OQL query parameters.- Returns:
- the
OQL query result set. - See Also:
-